curl --request POST \
--url https://api.streamskill.pro/v1/purchases/{orderId}/edit-twitch-followers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "new_channel",
"interval": 45,
"floating_interval": true
}
'import requests
url = "https://api.streamskill.pro/v1/purchases/{orderId}/edit-twitch-followers"
payload = {
"channel": "new_channel",
"interval": 45,
"floating_interval": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'new_channel', interval: 45, floating_interval: true})
};
fetch('https://api.streamskill.pro/v1/purchases/{orderId}/edit-twitch-followers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}{
"name": "Purchase not found",
"code": 0,
"message": "Object not found: {ID}",
"status": 404,
"type": "purchase_not_found_exception"
}{
"name": "Method Not Allowed",
"message": "Action is unavailable for this order",
"code": 0,
"status": 405,
"type": "action_unavailable"
}{
"name": "Purchase Done",
"message": "Order already completed",
"code": 0,
"status": 409,
"type": "purchase_done"
}{
"name": "Bad Request",
"errors": {
"tarif.id": [
"Tarif not found"
]
},
"code": 0,
"status": 422,
"type": "validate_exception"
}{
"name": "Action failed",
"message": "Action not performed",
"code": 0,
"status": 500,
"type": "action_failed"
}Edit Twitch Followers
Edit settings for a Twitch Followers order. Only works for orders where order_type is ‘followers’ and service is ‘twitch’. Empty bodies and unchanged values are accepted and return ok.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
en, ru Path Parameters
The ID of the order
Body
All parameters are optional. Only pass the Twitch Followers settings you want to change. The public API intentionally does not support count for this endpoint.
Twitch channel slug without the https://www.twitch.tv/ prefix. Channel changes are available within the order limit. Value must be non-empty after trim.
"new_channel"
Interval between followers in seconds.
1 <= x <= 8640045
Enable a floating interval of +/-25% from interval.
true
Response
Action Success
The status of the action
"ok"